Speed Dial
All operations require authentication.
List speed dial numbersProduction
List speed dial numbers. Returns the speed dial numbers shared by all the lines of the billing account. A speed dial number is a short code for a number.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a speed dial numberProduction
Get a speed dial number. Returns the speed dial number of the billing account: short code, destination number, name and surname. The short code starts with 7.
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Create a speed dial numberProduction
Create a speed dial number. Creates a speed dial number shared by all the lines of the billing account. The short code starts with 7 and has 3 or 4 digits.
Path parameters
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber \
-H "authorization: Bearer $OVH_TOKEN"{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}
Delete a speed dial numberProduction
Delete a speed dial number. Deletes the speed dial number of the billing account. Its short code no longer calls the destination number from the lines.
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Response
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"Update a speed dial numberProduction
Update a speed dial number. Updates the speed dial number of the billing account: destination number, name and surname. The short code starts with 7 and has 3 or 4 digits.
Path parameters
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The name of your billingAccount
Request body (required)
The abbreviated number which must start with "7" and must have a length of 3 or 4 digits
The destination of the abbreviated number
Response
Example uses abbreviatedNumber = 0, billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ abbreviatedNumber/ {abbreviatedNumber} \
-H "authorization: Bearer $OVH_TOKEN"